Bug 1821497 - Review Request: vazir - A Persian (Farsi) Font
Summary: Review Request: vazir - A Persian (Farsi) Font
Keywords:
Status: ASSIGNED
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Nicolas Mailhot
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-04-06 23:49 UTC by muhammad
Modified: 2020-11-24 01:19 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Type: ---
nicolas.mailhot: fedora-review-


Attachments (Terms of Use)

Description muhammad 2020-04-06 23:49:42 UTC
Spec URL: https://copr-be.cloud.fedoraproject.org/results/msm1365/first-project/fedora-rawhide-x86_64/01786198-vazir/vazir.spec
SRPM URL: https://copr-be.cloud.fedoraproject.org/results/msm1365/first-project/srpm-builds/01786198/vazir-27.0.1-4.fc33.src.rpm
Description: Vazir is a Persian font fam­ily designed in the 2015 by saber rastikerdar. (“Vazir” means “Minister” in Persian).
Fedora Account System Username: msm1365

Comment 1 Nicolas Mailhot 2020-04-24 09:45:52 UTC
1. you need to remove the >< from the bug summary and content, they will trip automation
2. the spec file name needs to match the srpm name
3. the spec file needs to apply current Fedora packaging guidelines & templates
https://docs.fedoraproject.org/en-US/packaging-guidelines/FontsPolicy/

Finish: build setup for vazir-fonts-24.1.0-1.0.fc33.src.rpm
Start: Outputting list of installed packages
Finish: Outputting list of installed packages
Start: rpmbuild vazir-fonts-24.1.0-1.0.fc33.src.rpm
warning: Macro expanded in comment on line 4: %{name}-%{version}

warning: This package uses obsolete macros that will go away soon. Please convert to the spec templates provided by fonts-rpm-templates!
warning: This package uses obsolete macros that will go away soon. Please convert to the spec templates provided by fonts-rpm-templates!

As it stands, the package can not be approved

Comment 2 Petr Pisar 2020-05-12 08:45:03 UTC
The bug summary ("Review Request: NAME - SUMMARY") must copy values from the spec file. The summary is parsed later by "fedpkg request-repo" tool.

Comment 3 muhammad 2020-05-12 10:22:45 UTC
(In reply to Petr Pisar from comment #2)
> The bug summary ("Review Request: NAME - SUMMARY") must copy values from the
> spec file. The summary is parsed later by "fedpkg request-repo" tool.

NAME and SUMMARY are in accordance with the spec file. What changes need to be made?

Comment 4 Petr Pisar 2020-05-12 11:49:08 UTC
I already fixed it. See a history of this bug <https://bugzilla.redhat.com/show_activity.cgi?id=1821497>.


Note You need to log in before you can comment on or make changes to this bug.